Bug 98395 - ISOLinux 2.0.0 hangs on booting from CD in IBM PC330 (8640-ES2)
ISOLinux 2.0.0 hangs on booting from CD in IBM PC330 (8640-ES2)
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-02 07:44 EDT by Hamish Marson
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-11 14:43:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hamish Marson 2003-07-02 07:44:12 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux 2.4.20; X11; i686) 
 
Description of problem: 
When booting ISOLinux hangs saying 
 
ISOLINUX 2.00 2002-10-25 isolinux: Loading spec packet failed, trying to wing it... 
isolinux: extreemly broken BIOS detected, last ditch attempt with drive 9F 
isolinux: Disk error 01, AX = 429B, drive 9F 
 
Boot failed: press a key to retry... 
 
Version-Release number of selected component (if applicable): 
isolinux 2.00 from RH9.0 (Shrike) 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. Insert disc1 into CD drive 
2. Power on 
3. 
     
 
Actual Results:  isolinux hung trying to load boot image 
 
Expected Results:  isolinux should have loaded image 
 
Additional info: 
 
Hardware is an IBM PC330 model 8640-ES2 with AIC-7880 scsi controller. CD 
drive is at target 6, there are 6 SCSI drives attached internally, and have also tried 
with just 2x drives attached. BIOS is latest level from IBM support website for the 
PC330.
Comment 1 Jeremy Katz 2003-07-02 17:04:10 EDT
Sorry, your BIOS is broken and you're going to have to boot from floppy images.
Comment 2 Hamish Marson 2003-07-03 06:59:19 EDT
ISOLinux may consider my BIOS broken, but nothing else does. Plus the boot
floppies don't work any better. (i.e. they fail even worse. with no real error
message, just saying the boot failed & press any key to retry afetr changing the
disk).

Is there some reason we can't have isolinux fixed to make allowances. Obviously
the BIOS isn't completely broken or previous versions (i.e. 7.x) wouldn't boot
either.
Comment 3 Jeremy Katz 2003-07-11 14:43:35 EDT
Your floppy failure just sounds like bad floppies.  isolinux uses the hard drive
emulation portion of the El Torito standard so that we can actually fit more
into the boot image without having to require lots of floppies; unfortunately,
there are some BIOSes which just do not properly support this mode, especially
from the timeframe which the PC330 is from.

Note You need to log in before you can comment on or make changes to this bug.